Skip to content
LogoLogo

Update shared Workspace defaults

Update shared Workspace defaults

PATCH/api/v1/workspaces/{workspace_id}/settings

Path Parameters

workspace_idRequired
string <uuid>
Example0198ac5e-f9b7-7000-8000-000000000001

Header Parameters

X-CSRF-TokenRequired
string·min 43·max 43

Session-bound CSRF token. It must exactly match the __Host-assign_csrf cookie sent with the request.

If-MatchRequired
string

Entity tag containing the resource version last observed by the client.

Request Body

application/json
description
string·max 500
default_timezone
string·max 64
default_locale
string·max 35
default_first_day_of_week
string
Values
sundaymonday
default_project_visibility
string
Values
workspaceprivate
default_task_status_category
string
Values
backlogtodoin_progress
default_task_priority
string
Values
nonelowmediumhighurgent
default_task_assignee
string
Values
unassignedcreator

Responses